Subject: bug#53158: 28.0.90; TAB, RET key behave differently for Git-Log-View, Outline View mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Jan 2022 21:59:30 +0200

> Date: Mon, 10 Jan 2022 19:36:43 +0000 (UTC)
> From: Van Ly <[email-masked]>
> cc: [email-masked]
> 
> > There's absolute no guarantee in Emacs that a key behaves the same in
> > tow different modes.  Even if those two modes can be argued to be
> > similar in some sense.
> >
> 
> Yes, I know.  Emacs unboxes with unpleasant defaults.

Is that some new way of convincing the maintainers to be more amenable
to your opinions and suggestions?  If so, it isn't working.

> I was pleasantly surprised TAB expands and collapses the bullet
> point in Outline View mode.  If memory serves.  I used to have to
> look up how to do that.  What key to use.  Maybe the TAB behavior
> was pulled from Org mode to Outline mode.  Having the same key to
> expand, collapse the bullet point headline is the "Right thing to
> do(R)[TM]".
> 
> Perhaps, there could be configuration infrastructure policy overlay 
> for having bullet points expand, collapse with the same key.  I would 
> use that to page up/down View mode with B and SPC everywhere.
> 
> possible expand, collapse keybindings for bullet point headline
> * TAB
> * RET
> * SPC
> 
> CORRECTION
> > steps to reproduce in Git-Log-View mode
> > * open emacs by 'emacs -Q'
> > * goto emacs source directory
>    * apply C-x v L runs the command vc-print-root-log
> > * goto the first line with a bullet point
> > * goto A and perform TAB, RET

A TAB as a means to cycle visibility could be a natural thing in
outline modes, but log-view-mode is not an outline mode, it's derived
from different parents.